package com.huimv.env.admin.service;

import com.huimv.env.admin.common.utils.Result;
import com.huimv.env.admin.entity.BasePigpen;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.admin.entity.dto.BasePigpenDto;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-05-06
 */
public interface IBasePigpenService extends IService<BasePigpen> {

    Result list(String farmCode, String buildName, String stageCode, String type);

    Result addPigpen(BasePigpenDto basePigpenDto);

    Result updatePigpen(BasePigpen basePigpen);

    Result deletePigpen(Map<String, Integer> map);

    Result listPigpen(Map<String, Integer> map);

    Result deviceCount(Map<String, Integer> map);

    Result getGateway(Map<String, Integer> map);
}
